#!/bin/sh

# Get VCS Version
GREP="/bin/grep"
SED="/bin/sed"

if [ ! -f "/bin/grep" ]; then
  GREP=grep
fi
if [ ! -f "/bin/sed" ]; then
  SED=sed
fi

VERSION=`/opt/VRTSvcs/bin/had -version | $GREP "Join Version" | $SED 's/Join Version//'`
SHORTVER=`echo $VERSION | \
$SED -e 's/[\.]//g
s/^\([0-9]\{4\}\).*/\1/'`

if [ ! -d /opt/VRTSvcs/bin/CVMVolDg/actions ];
then
	mkdir -p /opt/VRTSvcs/bin/CVMVolDg/actions
fi

if [ ! -e /opt/VRTSvcs/bin/CVMVolDg/actions/import ];
then
	if [ $SHORTVER -ge 6110 ] || [ $SHORTVER == 6050 ];
	then
		cp /opt/VRTSvcs/bin/HTC/actions/import /opt/VRTSvcs/bin/CVMVolDg/actions/import
	else
		cp /opt/VRTSvcs/bin/HTC/actions/import_old /opt/VRTSvcs/bin/CVMVolDg/actions/import
	fi
		
	chmod 744 /opt/VRTSvcs/bin/CVMVolDg/actions/import
	chown root:sys /opt/VRTSvcs/bin/CVMVolDg/actions/import 
	# rm /opt/VRTSvcs/bin/HTC/actions/import
	# rm /opt/VRTSvcs/bin/HTC/actions/import_old
fi

if [ ! -e /opt/VRTSvcs/bin/CVMVolDg/actions/deport ];
then
	cp /opt/VRTSvcs/bin/HTC/actions/deport /opt/VRTSvcs/bin/CVMVolDg/actions/deport
	chmod 744 /opt/VRTSvcs/bin/CVMVolDg/actions/deport
	chown root:sys /opt/VRTSvcs/bin/CVMVolDg/actions/deport
fi

if [ ! -e /opt/VRTSvcs/bin/CVMVolDg/actions/vxdctlenable ];
then
	cp /opt/VRTSvcs/bin/HTC/actions/vxdctlenable /opt/VRTSvcs/bin/CVMVolDg/actions/vxdctlenable
	chmod 744 /opt/VRTSvcs/bin/CVMVolDg/actions/vxdctlenable
	chown root:sys /opt/VRTSvcs/bin/CVMVolDg/actions/vxdctlenable
fi
